0

I'm making a Project about security aplications, and i'm having an incompatibility problem using nginx with naxsi and uwsgi modules on the same server. The Ubuntu version is 12.04 LTS.I think that there is a bug

I can't install nginx with uwsgi and naxsi on the same server, There isn't a package that included both features. I can't use the LearningMode and uwsgi_param configuration directives.

apt-cache show nginx-naxsi

Package: nginx-naxsi Priority: extra Section: universe/httpd Installed-Size: 717 Maintainer: Ubuntu Developers Original-Maintainer: Kartik Mistry Architecture: amd64 Source: nginx Version: 1.1.19-1ubuntu0.7 Provides: httpd, nginx Depends: nginx-common (= 1.1.19-1ubuntu0.7), libc6 (>= 2.14), libpcre3 (>= 8.10), libssl1.0.0 (>= 1.0.0), zlib1g (>= 1:1.1.4) Conflicts: nginx-extras, nginx-full, nginx-light Filename: pool/universe/n/nginx/nginx-naxsi_1.1.19-1ubuntu0.7_amd64.deb Size: 301112 MD5sum: a3064faab83136b277e07d00d027a34d SHA1: 788fd0143cf5da2019dce42823554d01ade6d9a0 SHA256: 595d6225ca33558596400b70d70f5b2a133251b2d11fc4c1fd8d0f656e018aed Description-en: nginx web server with naxsi 0.44 included Nginx (engine x) is a web server created by Igor Sysoev and kindly provided to the open-source community. This server can be used as standalone HTTP server and as a reverse proxy server before some Apache or another big server to reduce load to backend servers by many concurrent HTTP-sessions. . This package provides the standard version of Nginx, including the naxsi Web Application Firewall. . MODULES INCLUDED: Standard HTTP Modules: Core, Access, Auth Basic, Auto Index, Browser, Charset, Empty GIF, FastCGI, Geo, Gzip, Headers, Index, Limit Requests, Limit Zone, Log, Map, Memcached, Proxy, Referer, Rewrite, SCGI, Split Clients, SSI, Upstream, User ID, UWSGI Optional HTTP Modules: Gzip Precompression, IPv6, Stub Status, SSL Mail Modules: None Third Party Modules: Naxsi, Cache Purge, Upstream Fair Homepage: http:// nginx.net Description-md5: 7b47bed487001599307c11ff0327c114 Bugs: https://bugs.launchpad.net/ubuntu/+filebug Origin: Ubuntu

Package: nginx-naxsi Priority: extra Section: universe/httpd Installed-Size: 717 Maintainer: Ubuntu Developers Original-Maintainer: Kartik Mistry Architecture: amd64 Source: nginx Version: 1.1.19-1 Provides: httpd, nginx Depends: nginx-common (= 1.1.19-1), libc6 (>= 2.14), libpcre3 (>= 8.10), libssl1.0.0 (>= 1.0.0), zlib1g (>= 1:1.1.4) Conflicts: nginx-extras, nginx-full, nginx-light Filename: pool/universe/n/nginx/nginx-naxsi_1.1.19-1_amd64.deb Size: 301618 MD5sum: 3670f429017e3a59f38463848aafef0b SHA1: e0bcd7be13e34f43e0db884d9511d8162f0ad8ac SHA256: 8096b62799df9e8fac23f52ff3ea16bee2683715a09eb6ebda1e76e60421e654 Description-en: nginx web server with naxsi 0.44 included Nginx (engine x) is a web server created by Igor Sysoev and kindly provided to the open-source community. This server can be used as standalone HTTP server and as a reverse proxy server before some Apache or another big server to reduce load to backend servers by many concurrent HTTP-sessions. . This package provides the standard version of Nginx, including the naxsi Web Application Firewall. . MODULES INCLUDED: Standard HTTP Modules: Core, Access, Auth Basic, Auto Index, Browser, Charset, Empty GIF, FastCGI, Geo, Gzip, Headers, Index, Limit Requests, Limit Zone, Log, Map, Memcached, Proxy, Referer, Rewrite, SCGI, Split Clients, SSI, Upstream, User ID, UWSGI Optional HTTP Modules: Gzip Precompression, IPv6, Stub Status, SSL Mail Modules: None Third Party Modules: Naxsi, Cache Purge, Upstream Fair Homepage: http:// nginx.net Description-md5: 7b47bed487001599307c11ff0327c114 Bugs: https:// bugs.launchpad.net/ubuntu/+filebug Origin: Ubuntu

Can help me telling me, what can i do to fix this problem?

0

Unfortunately, if you want NAXSI and uwsgi support, you have to compile manually the NGINX source code with both naxsi and uwsgi to make it work with the features you want to support. There is no other way to get all the features one would need on a given NGINX flavor.


NGINX Naxsi is deprecated and unsupported.

Unfortunately, the issue goes back to how SRUs are, and what Debian has done as of 14.04. NAXSI is and always has been EXTREMELY hard to package, it is not a trivial modification. Every single time they change a ruleset and such, everything else appears to break along with it, and the nature of SRUs and Debian updates preclude updating the module just to fix a small rules bug.

See this for details on the flavors.

Note that NGINX Naxsi is no longer supported by me or Ubuntu anymore, since it's been dropped and has always been a headache to the NGINX packagers.

Your Answer

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Not the answer you're looking for? Browse other questions tagged or ask your own question.